Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::StringReader Class Reference

Convenience class for reading strings. More...

`#include <StringReader.h>`

Inheritance diagram for Lucene::StringReader:

## Public Member Functions

| StringReader (const String &str)
| Creates a new StringReader, given the String to read from.
virtual | ~StringReader ()
virtual String | getClassName ()
boost::shared_ptr< StringReader > | shared_from_this ()
virtual int32_t | read ()
| Read a single character.
virtual int32_t | read (wchar_t *buffer, int32_t offset, int32_t length)
| Read characters into a portion of an array.
virtual void | close ()
| Close the stream.
virtual bool | markSupported ()
| Tell whether this stream supports the mark() operation.
virtual void | reset ()
| Reset the stream.
virtual int64_t | length ()
| The number of bytes in the stream.
Public Member Functions inherited from Lucene::Reader
virtual | ~Reader ()
boost::shared_ptr< Reader > | shared_from_this ()
virtual int64_t | skip (int64_t n)
| Skip characters.
virtual void | mark (int32_t readAheadLimit)
| Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Reader
static String | _getClassName ()

## Protected Attributes

String | str
int32_t | position
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Static Public Attributes inherited from Lucene::Reader
static const int32_t | READER_EOF
Protected Member Functions inherited from Lucene::Reader
| Reader ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Convenience class for reading strings.

## Constructor & Destructor Documentation

## ◆ StringReader()

Lucene::StringReader::StringReader | ( | const String & | str | ) |

Creates a new StringReader, given the String to read from.

References str.

Referenced by _getClassName().

## ◆ ~StringReader()

virtual Lucene::StringReader::~StringReader | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::StringReader::_getClassName | ( |  | ) |

inline static

References StringReader().

## ◆ close()

virtual void Lucene::StringReader::close | ( |  | ) |

virtual

Close the stream.

Implements Lucene::Reader.

## ◆ getClassName()

virtual String Lucene::StringReader::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::Reader.

## ◆ length()

virtual int64_t Lucene::StringReader::length | ( |  | ) |

virtual

The number of bytes in the stream.

Reimplemented from Lucene::Reader.

Referenced by read().

## ◆ markSupported()

virtual bool Lucene::StringReader::markSupported | ( |  | ) |

virtual

Tell whether this stream supports the mark() operation.

Reimplemented from Lucene::Reader.

## ◆ read() [1/2]

virtual int32_t Lucene::StringReader::read | ( |  | ) |

virtual

Read a single character.

Reimplemented from Lucene::Reader.

## ◆ read() [2/2]

virtual int32_t Lucene::StringReader::read | ( | wchar_t * | buffer,
|  | int32_t | offset,
|  | int32_t | length )

virtual

Read characters into a portion of an array.

Implements Lucene::Reader.

References length().

## ◆ reset()

virtual void Lucene::StringReader::reset | ( |  | ) |

virtual

Reset the stream.

Reimplemented from Lucene::Reader.

## ◆ shared_from_this()

boost::shared_ptr< StringReader > Lucene::StringReader::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ position

int32_t Lucene::StringReader::position

protected

## ◆ str

String Lucene::StringReader::str

protected

Referenced by StringReader().

The documentation for this class was generated from the following file:

- StringReader.h

clucene.sourceforge.net